'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = VariableFactory;

var _nukeCore = require('nuke-core');

function VariableFactory(theme) {
  var Core = theme.Core;
  var ComponentCustomStyle = theme.NumberPicker;
  // / height
  // / @namespace size/bounding
  var Height = (0, _nukeCore.vLoader)(Core.s7);
  // / size
  // / @namespace size/text
  var InputSizeText = (0, _nukeCore.vLoader)(Core['font-size-base-body1']);
  // / width
  // / @namespace size/button
  var ButtonWidth = (0, _nukeCore.vLoader)(Core.s7);
  // / size
  // / @namespace size/icon
  var IconSize = (0, _nukeCore.vLoader)(Core['icon-xs']);
  // / width
  // / @namespace size/border
  var BorderWidth = (0, _nukeCore.vLoader)(Core['line-1']);
  // / min-width
  // / @namespace size/input
  var InputMinWidth = (0, _nukeCore.vLoader)(Core.s9);

  // / input
  // / @namespace statements/normal
  var InputColor = (0, _nukeCore.vLoader)(Core['color-text1-4']);
  // / input-background
  // / @namespace statements/normal
  var InputBgColor = (0, _nukeCore.vLoader)(Core['color-white']);
  // / icon
  // / @namespace statements/normal
  var IconColor = (0, _nukeCore.vLoader)(Core['color-text1-2']);
  // / button-background
  // / @namespace statements/normal
  var ButtonBgColor = (0, _nukeCore.vLoader)(Core['color-fill1-1']);
  // / corner
  // / @namespace statements/normal
  var BorderRadius = (0, _nukeCore.vLoader)(Core['corner-2']);
  // / border
  // / @namespace statements/normal
  var BorderColor = (0, _nukeCore.vLoader)(Core['color-line1-2']);
  // / border-style
  // / @namespace statements/normal
  var BorderStyle = (0, _nukeCore.vLoader)(Core['line-solid']);

  // / input
  // / @namespace statements/error
  var InputColorError = (0, _nukeCore.vLoader)(Core['color-error-2']);
  // / input-border
  // / @namespace statements/error
  var InputBorderColorError = (0, _nukeCore.vLoader)(Core['color-error-2']);

  // / input
  // / @namespace statements/disabled
  var InputColorDisabled = (0, _nukeCore.vLoader)(Core['color-text1-1']);
  // / input-background
  // / @namespace statements/disabled
  var InputBgColorDisabled = (0, _nukeCore.vLoader)(Core['color-fill1-1']);
  // / icon
  // / @namespace statements/disabled
  var IconColorDisabled = (0, _nukeCore.vLoader)(Core['color-text1-1']);
  // / button-background
  // / @namespace statements/disabled
  var ButtonBgColorDisabled = (0, _nukeCore.vLoader)(Core['color-fill1-1']);

  // / input
  // / @namespace statements/focus
  var InputColorFocus = (0, _nukeCore.vLoader)(Core['color-text1-4']);
  // / input-border
  // / @namespace statements/focus
  var InputBorderColorFocus = (0, _nukeCore.vLoader)(Core['color-n1-7']);

  var InputPadding = (0, _nukeCore.vLoader)(Core.s3);
  var ButtonBgColorActive = (0, _nukeCore.vLoader)(Core['color-fill1-3']);

  var variables = {
    height: Height,
    'input-size-text': InputSizeText,
    'button-width': ButtonWidth,
    'icon-size': IconSize,
    'border-width': BorderWidth,
    'input-min-width': InputMinWidth,
    'input-color': InputColor,
    'input-bg-color': InputBgColor,
    'icon-color': IconColor,
    'button-bg-color': ButtonBgColor,
    'border-radius': BorderRadius,
    'border-color': BorderColor,
    'border-style': BorderStyle,
    'input-color-error': InputColorError,
    'input-border-color-error': InputBorderColorError,
    'input-color-disabled': InputColorDisabled,
    'input-bg-color-disabled': InputBgColorDisabled,
    'icon-color-disabled': IconColorDisabled,
    'button-bg-color-disabled': ButtonBgColorDisabled,
    'input-color-focus': InputColorFocus,
    'input-border-color-focus': InputBorderColorFocus,
    'input-padding': InputPadding,
    'button-bg-color-active': ButtonBgColorActive
  };
  return _extends({}, variables, ComponentCustomStyle);
}
module.exports = exports['default'];